package pp.monopoly.model;

import pp.monopoly.model.fields.BuildingProperty;
import pp.monopoly.model.fields.EventField;
import pp.monopoly.model.fields.FineField;
import pp.monopoly.model.fields.FoodField;
import pp.monopoly.model.fields.GateField;
import pp.monopoly.model.fields.GoField;
import pp.monopoly.model.fields.GulagField;
import pp.monopoly.model.fields.TestStreckeField;
import pp.monopoly.model.fields.WacheField;

public interface FieldVisitor<T> {
    T visit(BuildingProperty field);
    T visit(FoodField field);
    T visit(GateField field);
    T visit(GulagField field);
    T visit(TestStreckeField field);
    T visit(EventField field);
    T visit(WacheField field);
    T visit(GoField field);
    T visit(FineField field);
}
